# PostUserInfos: list

**Requires [authorization](https://developers.google.com/blogger/docs/3.0/reference/postUserInfos/list#auth)**

Retrieves a list of post and post user info pairs, possibly filtered. The post user info contains per-user information about the post, such as access rights, specific to the user.
[Try it now](https://developers.google.com/blogger/docs/3.0/reference/postUserInfos/list#try-it).

## Request

### HTTP request

```
GET https://www.googleapis.com/blogger/v3/users/userId/blogs/blogId/posts
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Required parameters** |||
| `blogId` | `string` | ID of the blog to fetch posts from. |
| `userId` | `string` | ID of the user for the per-user information to be fetched. Either the word 'self' (sans quote marks) or the user's profile identifier. |
| **Optional parameters** |||
| `endDate` | `datetime` | Latest post date to fetch, a date-time with RFC 3339 formatting. |
| `fetchBodies` | `boolean` | Whether to include the post's body content. Default is `false`. (Default: `false`) |
| `labels` | `string` | Comma-separated list of labels to search for. |
| `maxResults` | `unsigned integer` | Maximum number of posts to fetch. |
| `orderBy` | `string` | Sort order applied to search results. Default is `published`. <br /> <br /> Acceptable values are: - "`published`": Order by the date the post was published - "`updated`": Order by the date the post was last updated |
| `pageToken` | `string` | The continuation token, which is used to page through large result sets. To get the next page of results, set this parameter to the value of "nextPageToken" from the previous response. |
| `startDate` | `datetime` | Earliest post date to fetch, a date-time with RFC 3339 formatting. |
| `status` | `string` | Acceptable values are: - "`draft`": Draft posts - "`live`": Published posts - "`scheduled`": Posts that are scheduled to publish in future. |
| `view` | `string` | Acceptable values are: - "`ADMIN`": Admin level detail - "`AUTHOR`": Author level detail - "`READER`": Reader level detail |

### Authorization

This request requires authorization with at least one of the following scopes ([read more about authentication and authorization](https://developers.google.com/blogger/docs/3.0/using#auth)).

| Scope |
|---|
| `https://www.googleapis.com/auth/blogger` |
| `https://www.googleapis.com/auth/blogger.readonly` |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "blogger#postUserInfosList",
  "nextPageToken": string,
  "items": [
    postUserInfos Resource
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `kind` | `string` | The kind of this entity. Always `blogger#postList` |   |
| `nextPageToken` | `string` | Pagination token to fetch the next page, if one exists. |   |
| `items[]` | `list` | The list of Posts with User information for the post, for this Blog. |   |

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.